Bug 546352 - SELinux is preventing /usr/sbin/dovecot "write" access on /var/log/dovecot/dovecot.log.
Summary: SELinux is preventing /usr/sbin/dovecot "write" access on /var/log/dovecot/do...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 12
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:d402dd517b3...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-12-10 17:41 UTC by jeff
Modified: 2009-12-22 20:42 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-22 20:42:21 UTC
Type: ---


Attachments (Terms of Use)

Description jeff 2009-12-10 17:41:09 UTC
Summary:

SELinux is preventing /usr/sbin/dovecot "write" access on
/var/log/dovecot/dovecot.log.

Detailed Description:

[SELinux is in permissive mode. This access was not denied.]

SELinux denied access requested by dovecot. It is not expected that this access
is required by dovecot and this access may signal an intrusion attempt. It is
also possible that the specific version or configuration of the application is
causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                system_u:system_r:dovecot_t:SystemLow
Target Context                system_u:object_r:var_log_t:SystemLow
Target Objects                /var/log/dovecot/dovecot.log [ file ]
Source                        dovecot
Source Path                   /usr/sbin/dovecot
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           dovecot-1.2.8-2.fc12
Target RPM Packages           
Policy RPM                    selinux-policy-3.6.32-55.fc12
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed) 2.6.31.6-162.fc12.x86_64 #1 SMP Fri
                              Dec 4 00:06:26 EST 2009 x86_64 x86_64
Alert Count                   1
First Seen                    Wed 09 Dec 2009 09:37:55 AM CST
Last Seen                     Wed 09 Dec 2009 09:37:55 AM CST
Local ID                      24c6ac4b-c559-4c7f-9a0d-b3d36b8b72e2
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1260373075.487:10): avc:  denied  { write } for  pid=1862 comm="dovecot" name="dovecot.log" dev=dm-0 ino=18516027 scontext=system_u:system_r:dovecot_t:s0 tcontext=system_u:object_r:var_log_t:s0 tclass=file

node=(removed) type=SYSCALL msg=audit(1260373075.487:10): arch=c000003e syscall=21 success=yes exit=0 a0=124cf88 a1=2 a2=20 a3=7fffde8f93c0 items=0 ppid=1861 pid=1862 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="dovecot" exe="/usr/sbin/dovecot" subj=system_u:system_r:dovecot_t:s0 key=(null)



Hash String generated from  selinux-policy-3.6.32-55.fc12,catchall,dovecot,dovecot_t,var_log_t,file,write
audit2allow suggests:

#============= dovecot_t ==============
allow dovecot_t var_log_t:file write;

Comment 1 Daniel Walsh 2009-12-10 18:09:01 UTC
chcon -R -t dovecot_var_log_t /var/log/dovecot

Will fix it,

This labeling will be made default.

Fixed in selinux-policy-3.6.32-58.fc12.noarch

Comment 2 Fedora Update System 2009-12-16 13:54:11 UTC
selinux-policy-3.6.32-59.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/selinux-policy-3.6.32-59.fc12

Comment 3 Fedora Update System 2009-12-18 04:42:23 UTC
selinux-policy-3.6.32-59.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-13384


Note You need to log in before you can comment on or make changes to this bug.